cocoa5 script for releases

23 Oct 2019 14:34 - John Abbott

Status: Closed Start date: 23 Oct 2019

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: enhancing/improving Estimated time: 4.99 hours

Target version: CoCoA-5.3.2 Spent time: 4.94 hours

Description

A student today reported a problem with CoCoA-5 on her Mac: we released a "bad" version of the cocoa5 start-up script!

At the moment we have 4 distinct versions of the script for starting CoCoA-5:

src/CoCoA/cocoa5  the one that we use

src/CoCoA/release-files/cocoa5-linux

src/CoCoA/release-files/cocoa5-mac

src/CoCoA/release-files/cocoa5-microsoft

The trouble is that (rare) updates to cocoa5 do not pass automatically to the scripts in release-files.

Can we make a better design?

Related issues:

Related to CoCoA-5 - Support #1222: Release CoCoA-5.3.0 Closed 28 Aug 2018

Related to CoCoA-5 - Design #1352: cocoa5 (launch) script: sleep time Closed 25 Oct 2019

Related to CoCoA-5 - Feature #1479: CoCoA release for linux: CoCoAInterpreter... Closed 07 Aug 2020

History

#1 - 23 Oct 2019 14:35 - John Abbott

The bug the student had found had been fixed (ages ago?) in our "private" version of cocoa5, but the change was never ported to the versions used

for releases.  This is bad design on our part :-(

#2 - 23 Oct 2019 14:43 - John Abbott

I have noticed that cocoa5-linux still includes the trick for choosing between 32-bit and 64-bit executables.  Isn't this obsolete now?

I have modified release-linux so that it checks whether cocoa5-linux is newer than src/CoCoA-5/cocoa5; if it is not newer then an error message is

printed, and the script exits (with code 1).  CVS-ed.

#3 - 23 Oct 2019 14:48 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 20

I have updated the release-* scripts for Linux, Mac and Microsoft.

CVS-ed.

#4 - 23 Oct 2019 15:28 - Anna Maria Bigatti

- Related to Support #1222: Release CoCoA-5.3.0 added

#5 - 23 Oct 2019 18:19 - Anna Maria Bigatti

- Status changed from In Progress to Resolved
- % Done changed from 20 to 80

Done, I believe.

Now testing comes.

#6 - 23 Oct 2019 18:51 - Anna Maria Bigatti

I made a new release for mac and for linux on the webpage.

#7 - 24 Oct 2019 08:23 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 80 to 90

I recovered the check on 32/64 bits for linux even though we no longer distribute 32-bit.

(but this way the user gets a reasonable error message)

New release made for testing.

#8 - 25 Oct 2019 13:39 - John Abbott

- Related to Design #1352: cocoa5 (launch) script: sleep time added

#9 - 11 Mar 2020 21:28 - John Abbott

- Estimated time set to 4.90 h

Regarding comment 7: I spotted the code which checked for 64-bit platform, and complained if not.

Now I'm undecided.  One the one hand giving a helpful error message is always nice, on the other hand it clutters the code (and I imagine there are

very few people with 32-bit linux boxes who download binaries and expect them to work).

My (mild) preference lies with making the cocoa5 script simpler by removing code which is hardly ever useful.  Perhaps we could simply state on the

download page, that the binary is just for 64-bit platforms?

#10 - 30 Apr 2020 15:17 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.3.2

#11 - 07 Aug 2020 15:25 - John Abbott

- Related to Feature #1479: CoCoA release for linux: CoCoAInterpreter: with and without libreadline? added

#12 - 09 Oct 2020 15:48 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 4.90 h to 4.99 h

This was resolved some time ago by including in the release-linux.sh script a check that the start-up script in the released version is at least as new at

the script being used by us for development/testing.  Simple and effective :-)
